-------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------
-- Disable pickup if the autochef is enabled and no tutorial is running.
-- Also, send a sous chef tip trigger to explain the event
-------------------------------------------------------------------------------------------------
local autochefEnabled = isAutochefEnabled()
local currentTutorial = getCurrentTutorial()
local noTutorialActive = currentTutorial == ""

local tutorialPickup = autochefEnabled and not noTutorialActive

local pickupValid = not autochefEnabled or tutorialPickup or not noTutorialActive

if not pickupValid then
    sendStationMsgWithParamsAndUserData("kActivate", { "AppetizerNoNo" }, { "TestId3" })
end

return pickupValid
